<div *ngIf="loading" id="cont" class="container">
	<div class="yellow dot"></div>
	<div class="red dot"></div>
	<div class="blue dot"></div>
	<div class="violet dot"></div>
</div>
<div class="is-flex is-justify-center has-margin-top-5">
  <div *ngIf="error$ | async" class="notification is-danger is-flex is-align-center">
    <button class="delete" (click)="fail()"></button>
    <img src="assets/images/ex.png"/>
    <p class="has-margin-left-2">Chargement des circuits impossible pour le moment.</p>
    <button class="button error-button has-margin-left-1" (click)="getQuestions()">Relancer</button>
  </div>
</div>
<nav *ngIf="canDisplay$ | async" class="panel">
  <p class="panel-heading">
      Liste des circuits
  </p>
  <div class="is-flex flex-column panel-block">
      <p class="control is-flex has-items-center">
          <!-- (input)="changeList()" Pour savoir en temps réel ce qui est tapé dans le input -->
          <input #Search id="search" (input)="refresh()" class="input" type="search" placeholder="Rechercher">
          <!-- <button id="search"  (click)="changeList()" class="button">Rechercher</button> -->
      </p>
      <button class="button is-flex is-add-button" [routerLink]="'création'">
        <img width="20px" class="has-right-margin" src="assets/images/plus.png"/>
        Ajouter un circuit
      </button>
  </div>

  <p *ngIf="!globals.isMobile" class="panel-tabs is-flex has-items-center space-around has-bottom-margin is-adapt">
      <different-a id="i" class="test" *ngFor="let item of testModules; let i = index" (click)="change(item, i)" [textColor]="item.current" [borderColor]="item.current" [item]="item.item"></different-a>
  </p>
  <div *ngIf="globals.isMobile" class="is-flex is-justify-center has-margin-top-1">
    <div #Hola class="dropdown" (click)="test()">
      <div class="dropdown-trigger">
        <button [style.borderColor]="currentColor" class="button is-flex is-space-around is-not-default is-rounded is-big">
          <span [style.Color]="currentColor">{{testModules[currentModule].item}}</span>
        </button>
      </div>
      <div class="dropdown-menu" id="dropdown-menu" role="menu">
        <div class="dropdown-content is-flex is-column is-align-center">
          <div *ngFor="let item of testModules; let i = index" id="i" (click)="change(item, i)" class="dropdown-item">
              <span [style.Color]="item.current">{{item.item}}</span>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="has-overflow">
      <div *ngFor="let elt of listCircuitsDisplayed; let i = index" class="panel-block has-items-center space-around">
        <p class="is-name">{{elt.circuit.name}}</p>
        <div class="is-flex space-around is-minus">
          <p *ngIf="elt.error" [style.color]="'red'">Erreur</p>
          <button class="button is-update-button" (click)="goModify(elt)" [routerLink]="'modification'">Modifier</button>
          <button class="button iconButton" *ngIf="!elt.isDisplayMobile" (click)="askDelete(i)"><img src="assets/images/poubelle.png"></button>
          <div [className]="globals.isMobile ? 'is-flex is-column is-justify-center is-align-center' : ''">
            <button *ngIf="elt.confirm" class="button is-success has-margin-right-1" (click)="delete(i)">Confirmer</button>
            <button *ngIf="elt.cancel" class="button is-danger" (click)="cancel(i)">Annuler</button>
          </div>
        </div>
      </div>
  </div>
</nav>
